<?php

namespace App\Filament\Actions;

use App\Filament\Support\CheerfulNotification;
use Filament\Actions\DeleteBulkAction;
use Filament\Actions\ForceDeleteBulkAction;
use Filament\Actions\RestoreBulkAction;

class DefaultBulkActions
{
    public static function make(string $entity): array
    {
        return [
            DeleteBulkAction::make()
                ->modalHeading(fn () => CheerfulNotification::getByKey('actions.bulk.delete', ['entity' => $entity]))
                ->successNotification(
                    CheerfulNotification::bulkDelete()
                ),

            ForceDeleteBulkAction::make()
                ->modalHeading(fn () => CheerfulNotification::getByKey('actions.bulk.force_delete', ['entity' => $entity]))
                ->successNotification(
                    CheerfulNotification::bulkForceDelete()
                ),

            RestoreBulkAction::make()
                ->modalHeading(fn () => CheerfulNotification::getByKey('actions.bulk.restore', ['entity' => $entity]))
                ->successNotification(
                    CheerfulNotification::bulkRestore()
                ),
        ];
    }
}
